summaryrefslogtreecommitdiff
path: root/bg2/install-soa-4cd-us-minimal.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bg2/install-soa-4cd-us-minimal.sh')
-rwxr-xr-xbg2/install-soa-4cd-us-minimal.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/bg2/install-soa-4cd-us-minimal.sh b/bg2/install-soa-4cd-us-minimal.sh
new file mode 100755
index 0000000..3db85b5
--- /dev/null
+++ b/bg2/install-soa-4cd-us-minimal.sh
@@ -0,0 +1,51 @@
+#!/bin/bash
+#
+# Baldur's Gate 2 (4CD US version) Minimal Install
+# Copyright (C) 2009 Nick Daly
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301 USA.
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $BG2_4CD_US_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+cp "${CDMOUNT}/baldur.ico" "$TARGETDIR" || die
+
+unshield x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+
+rm -r "${TARGETDIR}/_"* # remove all the the fake directories.
+
+for i in "${TARGETDIR}/hd0_"* ; do j=`echo $i | sed 's#hd0_##g' - ` ; mv "$i" "$j" ; done
+
+move_and_remove "${TARGETDIR}/cab" "${TARGETDIR}"
+move_and_remove "${TARGETDIR}/compiler" "${TARGETDIR}/script compiler"
+move_and_remove "${TARGETDIR}/register" "${TARGETDIR}/eReg"
+move_and_remove "${TARGETDIR}/sound" "${TARGETDIR}/sounds"
+
+mkdir -p "${TARGETDIR}/portraits" || die
+for directory in "compiled" "decompiled" "errors"; do mkdir -p "${TARGETDIR}/script compiler/${directory}" || die; done
+
+rm -r "${TARGETDIR}/cache100" "${TARGETDIR}/cache/cache150.txt" "${TARGETDIR}/mplayer"
+
+setperms "$TARGETDIR"